CON
  _clkmode      = xtal1 + pll16x                        ' use crystal x 16
  _xinfreq      = 5_000_000
   
OBJ
  tch:           "Touch"                                 ' touchscreen driver

PUB Main 
  tch.BeginProgram                                          
  DualScreen
  tch.SetWarmBoot                                           ' clears screen, sets a warm boot and reboots

PUB DualScreen |xval, yval
   tch.ClearRam
   tch.SDBMPtoRam(string("OperaR.bmp"))                  ' file 2
   tch.DisplayLeft                                      ' left picture
   tch.DrawBMPRam(2,0,0)                                ' draw the picture
   tch.SDBMPtoRam(string("OperaL.bmp"))                  ' file 3   
   tch.DisplayRight                                     ' right picture
   tch.DrawBMPRam(3,0,0)                                ' draw the picture   
   tch.SelectSPIGroup                                   ' talk to the spi touchscreen  
   repeat
      yval := tch.TouchYPercent                           ' decode yval 0-100%               
      xval := tch.TouchXPercent                           ' decode xval 0-100%
      if (xval <> 255)  and (yval <> 255)                    ' valid keypress
        return
      